Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext Class Reference
Inheritance diagram for eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext:

## Public Member Functions
| __construct (ContentService $contentService, ContentTypeService $contentTypeService, UserService $userService)
| gatherContexts (BeforeScenarioScope $scope)
| @BeforeScenario More...
| iSetTheContentToUserContentCreateStruct ()
| @Given /^I set the Content to a User RestContentCreateStruct$/ More...
| itContainsAContentOfContentType ($contentTypeIdentifier)
| @Given /^it contains a Content of ContentType "([^"]*)"$/ More...
| itContainsAVersionOfContentType ($contentTypeIdentifier)
| @Given /^it contains a Version of ContentType "([^"]*)"$/ More...
| aUserWithTheSameIdExists ()
| @Given /^a User with the same id exists$/ More...
| iSendAPublishRequestForThisContent ()
| @When /^I send a publish request for this content$/ More...
| thereIsAUserContent ()
| @Given /^there is a User Content$/ More...
| iCreateDeleteRequestForThisContent ()
| @When /^I create a delete request for this content$/ More...
| theUserThisContentReferredToIsDeleted ()
| @Then /^the User this Content referred to is deleted$/ More...
| theContentHasTheStatus ($statusString)
| @Given /^the Content has the "([^"]*)" status$/ More...
| iCreateADraftOfThisContent ()
| @When /^I create a draft of this content$/ More...
| iCreateAnEditRequestForThisDraft ()
| @When /^I create an edit request for this draft$/ More...
| iSetTheEmailFieldToNewValue ()
| @Given /^I set the email field to a new value$/ More...
| theUserSEmailWasUpdatedToTheNewValue ()
| @Given /^the User's email was updated to the new value$/ More...

## Private Attributes
| $restContext
| $contentService
| $contentTypeService
| $currentContent
| $userService
| $currentDraft
| $newEmailValue

## Detailed Description

Definition at line 28 of file UserContentContext.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::__construct | ( | ContentService | $contentService,
|  | ContentTypeService | $contentTypeService,
|  | UserService | $userService
| ) |  |

Definition at line 55 of file UserContentContext.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext\$contentService, eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext\$contentTypeService, and eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext\$userService.

## Member Function Documentation

## ◆ aUserWithTheSameIdExists()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::aUserWithTheSameIdExists | ( |  | ) |

@Given /^a User with the same id exists$/

Definition at line 131 of file UserContentContext.php.

## ◆ gatherContexts()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::gatherContexts | ( | BeforeScenarioScope | $scope | ) |

@BeforeScenario

Definition at line 63 of file UserContentContext.php.

## ◆ iCreateADraftOfThisContent()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::iCreateADraftOfThisContent | ( |  | ) |

@When /^I create a draft of this content$/

Definition at line 214 of file UserContentContext.php.

## ◆ iCreateAnEditRequestForThisDraft()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::iCreateAnEditRequestForThisDraft | ( |  | ) |

@When /^I create an edit request for this draft$/

Definition at line 223 of file UserContentContext.php.

## ◆ iCreateDeleteRequestForThisContent()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::iCreateDeleteRequestForThisContent | ( |  | ) |

@When /^I create a delete request for this content$/

Definition at line 171 of file UserContentContext.php.

## ◆ iSendAPublishRequestForThisContent()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::iSendAPublishRequestForThisContent | ( |  | ) |

@When /^I send a publish request for this content$/

Definition at line 142 of file UserContentContext.php.

## ◆ iSetTheContentToUserContentCreateStruct()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::iSetTheContentToUserContentCreateStruct | ( |  | ) |

@Given /^I set the Content to a User RestContentCreateStruct$/

Definition at line 72 of file UserContentContext.php.

## ◆ iSetTheEmailFieldToNewValue()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::iSetTheEmailFieldToNewValue | ( |  | ) |

@Given /^I set the email field to a new value$/

Definition at line 242 of file UserContentContext.php.

## ◆ itContainsAContentOfContentType()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::itContainsAContentOfContentType | ( |  | $contentTypeIdentifier | ) |

@Given /^it contains a Content of ContentType "([^"]*)"$/

Definition at line 99 of file UserContentContext.php.

## ◆ itContainsAVersionOfContentType()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::itContainsAVersionOfContentType | ( |  | $contentTypeIdentifier | ) |

@Given /^it contains a Version of ContentType "([^"]*)"$/

Definition at line 114 of file UserContentContext.php.

## ◆ theContentHasTheStatus()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::theContentHasTheStatus | ( |  | $statusString | ) |

@Given /^the Content has the "([^"]*)" status$/

Definition at line 193 of file UserContentContext.php.

References eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_DRAFT, and eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_PUBLISHED.

## ◆ thereIsAUserContent()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::thereIsAUserContent | ( |  | ) |

@Given /^there is a User Content$/

Definition at line 153 of file UserContentContext.php.

## ◆ theUserSEmailWasUpdatedToTheNewValue()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::theUserSEmailWasUpdatedToTheNewValue | ( |  | ) |

@Given /^the User's email was updated to the new value$/

Definition at line 252 of file UserContentContext.php.

## ◆ theUserThisContentReferredToIsDeleted()

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::theUserThisContentReferredToIsDeleted | ( |  | ) |

@Then /^the User this Content referred to is deleted$/

Definition at line 179 of file UserContentContext.php.

## Member Data Documentation

## ◆ $contentService

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::$contentService
| private

Definition at line 34 of file UserContentContext.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext\__construct().

## ◆ $contentTypeService

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::$contentTypeService
| private

Definition at line 37 of file UserContentContext.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext\__construct().

## ◆ $currentContent

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::$currentContent
| private

Definition at line 40 of file UserContentContext.php.

## ◆ $currentDraft

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::$currentDraft
| private

Definition at line 46 of file UserContentContext.php.

## ◆ $newEmailValue

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::$newEmailValue
| private

Definition at line 53 of file UserContentContext.php.

## ◆ $restContext

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::$restContext
| private

Definition at line 31 of file UserContentContext.php.

## ◆ $userService

eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext::$userService
| private

Definition at line 43 of file UserContentContext.php.

Referenced by eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext\__construct().

The documentation for this class was generated from the following file:

- UserContentContext.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.